Skip to content

Örnek İstek & Yanıt ​

3DS Create Order (3DS 3DS Sipariş Linki Oluşturma ) işlemi için, istek ve yanıt örneğini aşağıda bulabilirsiniz.

Endpoint ​

POST /api/Order/CreateOrder3D

"L": Ödeme Linki ​

3DS Model doğrulama ile başlatılan işlemler için örnek istek ve yanıt aşağıda verilmiştir. ​

İstek Gövdesi (Request Body) ​

http
POST/api/Order/CreateOrder3D
Headers:
  x_client_token: your_client_token_here  
  x_nonce: 0e72e797-3b4d-4c9e-be17-be453506108d
  x_timestamp: 20251209133409
  x_signature: generated_signature_hash
  Content-Type: application/json

{
    "orderId": "8281c5d3-4265-4569-8486-fea61440baa4",
    "OrderType": "L",
    "amount": 17000,
    "currency": 949,
    "txnType": "Sale",
    "requestType": "3DS-MODEL",
    "installmentCount": 2,
    "lang": "TR",
    "additionalInfo": "no: 123456789",
    "invoiceInfo": "eyJpbnZvaWNlSWQiOiAiSU5WMTIzIiwgImJpbGxpbmdBZGRyZXNzIjogIlRlc3QgU3RyZWV0LCBJc3RhbmJ1bCIsICJjdXN0b21lck5hbWUiOiAiQWxpIEthcmRhc2giLCAiYW1vdW50IjogIjUyMSJ9",
    "returnUrl": "https://www.ornekfirma.com/odeme/sonuc",
    "callbackUrl": "https://api.ornekfirma.com/odeme/callback",
    "cardholderName": "Test cardholder name",
    "cardholderEmail": "test@email.com"
}

Başarılı Yanıt (HTTP 200) ​

json
{
    "state": 1,
    "result": {
        "resultCode": null,
        "resultMessage": "",
        "processId": "12f72b59-112c-42d2-941a-468e28a93424",
        "link": "https://vpos-test.halkode.com.tr/#/payment?pk=NjNPV25OTFMwMUwzOWkwN0dobUs1VmExTVoxRmVKVHM5RGw0aFl6M0NrUmZacE5ObXpnRGRPejJPOFR2dFMrcw=="
    }
}

3DS-PAY doğrulama ile başlatılan işlemler için örnek istek ve yanıt aşağıda verilmiştir. ​

İstek Gövdesi (Request Body) ​

http
POST/api/Order/CreateOrder3D
Headers:
  x_client_token: your_client_token_here  
  x_nonce: 0e72e797-3b4d-4c9e-be17-be453506108d
  x_timestamp: 20251209133409
  x_signature: generated_signature_hash
  Content-Type: application/json

{
    "orderId": "8281c5d3-4265-4569-8486-fea61440baa4",
    "amount": 11000,
    "orderType": "L",
    "requestType": "3DS-PAY",
    "currency": 949,
    "txnType": "Sale",
    "installmentCount": 1,
    "lang": "TR",
    "returnUrl": "https://www.ornekfirma.com/odeme/sonuc",
    "callbackUrl": "https://api.ornekfirma.com/odeme/callback",
  "additionalInfo": "no: 123456789",
    "invoiceInfo": "test adres bilgileri mah test sok no:1/A İSTANBUL"
}

Başarılı Yanıt (HTTP 200) ​

json
{
    "state": 1,
    "result": {
        "resultCode": null,
        "resultMessage": "",
        "processId": "395ce65c-4f75-432b-be1e-406df62bf13b",
        "link": "https://vpos-test.halkode.com.tr/#/payment?pk=em53SDB5OGJZWlFEdFNpVzRoR3NBVEtqTUt4a2NnelBoemF0UnNnM25LRjRtUXM0cElyN3BMUUFiRk5CSXk3Vg"
    }
}